#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

int main(int argc, char **argv)
{
    if (argc==2) 
        cout << hex << setfill('0') << setw(8) << atol(argv[1]) << endl;

    return 0;
}
